//mobile中,展示隐藏navbar
$(function () {
	//展示
	$(".js-navbar-more").click(function () {
		if (!$(".html-mask").hasClass("active")) {
			var windowHeight = $(window).height();
			$(".html-mask").addClass("active");
			$(".nav-mobile").addClass("active");
			$(".nav-mobile").css("height", windowHeight);
			$(".es-wrap").addClass("nav-active");
			$('body').css({ 'position': 'fixed', "width": "100%" });//禁止内容滑动
		}
	});
	//隐藏
	$(".html-mask").click(function () {
		if ($(".html-mask").hasClass("active")) {
			$(".html-mask").removeClass("active");
			$(".nav-mobile").removeClass("active");
			$(".es-wrap").removeClass("nav-active");
			$("body").css({ "position": "initial", "height": "auto" });//允许内容滑动
		}
	});
})
//页面最小高度
$(function () {
	var headerHeight = $(".es-header-wrap").height();
	var footerHeight = $(".es-footer").height();
	var footMtHeight = 0
	var minHeight = $(window).height() - headerHeight - footerHeight - footMtHeight;
	$(".es-wrap-content").css("minHeight", minHeight);
})
//回到顶部
$(function () {
	$("#backTop").click(function () {
		$("html,body").animate({
			scrollTop: 0
		}, 500);
	})
	$(".backTopPc").click(function () {
		$("html,body").animate({
			scrollTop: 0
		}, 500);
	})
})
//web端中  点击头像或注册
$(function () {
	$("body").on("mouseenter", "li.nav-hover.hidden-xs", function (e) {
		$(this).addClass("open");
		$(this).find(".dropdown-toggle").attr("aria-expanded", "true");
		$(this).find(".es-icon-keyboardarrowdown").addClass("es-icon-keyboardarrowup").removeClass("es-icon-keyboardarrowdown");
		return false;
	}).on("mouseleave", "li.nav-hover", function (e) {
		$(this).removeClass("open");
		$(this).find(".dropdown-toggle").attr("aria-expanded", "false");
		$(this).find(".es-icon-keyboardarrowup").removeClass("es-icon-keyboardarrowup").addClass("es-icon-keyboardarrowdown");
		return false;
	});
})
if (IsPC()) {
	// 智齿初始化
	(function (w, d, e, x) {
		w[e] = function () {
			w.cbk = w.cbk || []
			w.cbk.push(arguments);
		}
		x = d.createElement("script");
		x.async = true;
		x.id = "zhichiScript";
		x.className = "zhichi_icon_wrap"; //该class绑定到自定义按钮上 第一步
		// ***为您的自定义域名
		x.src = "https://huatu.sobot.com/chat/frame/v2/entrance.js?sysnum=c1a2757af422403fbce73e24dccc5160";
		d.body.appendChild(x);
	})(window, document, "zc");
	zc("config", {
		custom: true, //设置自定义生效 第二步
		"location": 1, //咨询入口位置 1-右下角 2-左下角 （默认右下角）
		groupid: '5076e2f24a5549b0b69669555284da7e'
	})
} else {
	// h5加入智齿
	var link_zhichi='<a href="https://huatu.sobot.com/chat/h5/v2/index.html?sysnum=c1a2757af422403fbce73e24dccc5160&groupid=5076e2f24a5549b0b69669555284da7e" target="_blank"><i class="es-icon es-icon-kefu"></i></a>'
	$(".zhichi_icon_wrap").empty().append(link_zhichi);
}
//侧边栏显示(滚动时 显示及位置)
$(function () {
	//h5则不展示这个侧边栏，因为已经有了
	if (IsPC()) {
		$("#sidebar_other_page").show();

		// 侧边固定的二维码
		$("#qrcode-img-wrap").mouseover(function () {
			$(".qr_img_app_download").stop().animate({
				'width': 105,
				'height': 105,
				'display': 'block'
			}, "slow")
		}).mouseout(function () {
			$(".qr_img_app_download").stop().animate({
				'width': 0,
				'height': 0,
			}, "slow")
		})
		$(".pc_hide").hide();
		$(".pc_hide .zhichi_icon_wrap").hide();
	}
	$(window).scroll(function () {
		var windowHeight = $(window).scrollTop();
		if (windowHeight >= 300) {
			$("#backTop").removeClass("hidden");
			$(".backTopPc").removeClass("hidden");//除了首页外的其他页面用的是这个，那个页面还有个h5已经有了一个$("#backTop")，所以重新起名
		} else {
			$("#backTop").addClass("hidden");
			$(".backTopPc").addClass("hidden");
		}
	});

	// 2020.04.20页面底部新增：等保备案，点击放大图；
	if (!IsPC()) {
		$(".footer").remove();
	}
	$("#scaleDengbaoImg").click(function () {
		var screenwidth = window.screen.width + 'px';
		var allheight = document.body.scrollHeight + 'px';
		var picwidth = '', left, top;
		if (IsPC()) {
			picwidth = 'style="width: 600px;"';
			left = 'calc(50% - 300px)';
			top = 'calc(50% - 210px)';
		} else {
			picwidth = 'style="width:80vw"';
			left = '10vw';
			top = 'calc(50vh - 28vw)';
		}
		var html =
			'<div id="denghoubaoMock" style="position: absolute;width:' + screenwidth + ';height:' + allheight + ';background: rgba(0,0,0,.3);z-index: 1000;top:0;"></div>' +
			'<div id="denghoubao-wrap" class="denghoubao-wrap" style="position: fixed;z-index: 9999;left:' + left + ';top:' + top + ';">' +
			'<div class="close-section" style="position:absolute;top:5px;right:5px;"></div>' +
			'<img src="/static-dist/k12/img/dengbaobeian.jpeg" ' + picwidth + '></div>';
		$("body").append(html).css("overflow", "hidden");

		$("#denghoubao-wrap .close-section").click(function () {
			$("#denghoubaoMock").remove();
			$("#denghoubao-wrap").remove();
			$("body").css("overflow", "auto");
		})
	})
})
function IsPC() {
	var userAgentInfo = navigator.userAgent;
	var Agents = ["Android", "iPhone", "SymbianOS", "Windows Phone", "iPod", "iPad"];
	var flag = true;
	for (var v = 0; v < Agents.length; v++) {
		if (userAgentInfo.indexOf(Agents[v]) > 0) {
			flag = false;
			break;
		}
	}
	return flag;
}
//关闭遮罩层（确认订单处、课程详情使用）
function closeShade() {
	$(".shade-section").hide();
	$(".alert-section").hide();
	$("body").css({ "position": "initial", "height": "auto" });//允许内容滑动

}
//错误提示
function showError(text) {
	$('body').css({ 'position': 'fixed', "width": "100%" });//禁止内容滑动
	$("#tipsContent").html(text);
	$(".alert-section").hide();
	$(".tips-section").show();
	$(".shade-section").show();
}
//form表单提交的错误提示
function showMessage(type, message, duration) {
	var $exist = $('.bootstrap-notify-bars');
	if ($exist.length > 0) {
		$exist.remove();
	}
	var html = '<div class="alert alert-danger bootstrap-notify-bars" style="display:none;">'
	//html += '<button type="button" class="close" data-dismiss="alert">×</button>';
	html += message;
	html += '</div>';

	var $html = $(html);
	$html.prependTo('#' + type);

	$html.slideDown(100, function () {
		duration = $.type(duration) == 'undefined' ? 3 : duration;
		if (duration > 0) {
			setTimeout(function () {
				$html.remove();
			}, duration * 1000);
		}
	});

}